### Hierarchy

- EventTarget
  - TextTrackList

### Indexable

[index: number]: TextTrack

## Index

### Properties

- EventTarget
- length
- onaddtrack

### Methods

- addEventListener
- dispatchEvent
- item
- removeEventListener

## Properties

### EventTarget

EventTarget: object

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5081

#### Type declaration

- ##### constructor: function

  - new __type(): EventTarget
  - - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5082

    #### Returns EventTarget

- ##### prototype: EventTarget

### length

length: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14923

### onaddtrack

onaddtrack: function | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14924

## Methods

### addEventListener

- addEventListener<K>(type: K, listener: function, options?: boolean | AddEventListenerOptions): void
- addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void

- Overrides EventTarget.addEventListener

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14926

  #### Type parameters

  - #### K: keyof TextTrackListEventMap

  #### Parameters

  - ##### type: K

  - ##### listener: function

    - - (this: TextTrackList, ev: TextTrackListEventMap[K]): any

      - #### Parameters

        - ##### this: TextTrackList

        - ##### ev: TextTrackListEventMap[K]

        #### Returns any

  - ##### Optional options: boolean | AddEventListenerOptions

  #### Returns void

- Overrides EventTarget.addEventListener

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14927

  #### Parameters

  - ##### type: string

  - ##### listener: EventListenerOrEventListenerObject

  - ##### Optional options: boolean | AddEventListenerOptions

  #### Returns void

### dispatchEvent

- dispatchEvent(event: Event): boolean

- Inherited from EventTarget.dispatchEvent

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5074

  Dispatches a synthetic event event to target and returns true if either event's cancelable attribute value is false or its preventDefault() method was not invoked, and false otherwise.

  #### Parameters

  - ##### event: Event

  #### Returns boolean

### item

- item(index: number): TextTrack

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14925

  #### Parameters

  - ##### index: number

  #### Returns TextTrack

### removeEventListener

- removeEventListener<K>(type: K, listener: function, options?: boolean | EventListenerOptions): void
- removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void

- Overrides EventTarget.removeEventListener

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14928

  #### Type parameters

  - #### K: keyof TextTrackListEventMap

  #### Parameters

  - ##### type: K

  - ##### listener: function

    - - (this: TextTrackList, ev: TextTrackListEventMap[K]): any

      - #### Parameters

        - ##### this: TextTrackList

        - ##### ev: TextTrackListEventMap[K]

        #### Returns any

  - ##### Optional options: boolean | EventListenerOptions

  #### Returns void

- Overrides EventTarget.removeEventListener

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14929

  #### Parameters

  - ##### type: string

  - ##### listener: EventListenerOrEventListenerObject

  - ##### Optional options: boolean | EventListenerOptions

  #### Returns void

Generated using TypeDoc